# -*- coding: utf-8 -*-
#
# Copyright (C) 2020 CERN.
# Copyright (C) 2020 Northwestern University.
#
# Invenio RDM Records is free software; you can redistribute it and/or modify
# it under the terms of the MIT License; see LICENSE file for more details.

"""JS/CSS Webpack bundles for theme."""

from invenio_assets.webpack import WebpackThemeBundle

theme = WebpackThemeBundle(
    __name__,
    'assets',
    default='semantic-ui',
    themes={
        'semantic-ui': dict(
            entry={
                'invenio-rdm-records-theme':
                    './less/invenio_rdm_records/theme.less',
                'invenio-rdm-records-js':
                    './js/invenio_rdm_records/rdmrecords.js',
                'invenio-rdm-record-management':
                    './js/invenio_rdm_records/recordManagement.js',
            },
            dependencies={}
        )
    }
)
